Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDITEMMAAvalues

    java.lang.Object
      java.lang.Enum<CDITEMMAAvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDITEMMAAvalues

All Implemented Interfaces:
  Serializable, Comparable<CDITEMMAAvalues>

    public enum CDITEMMAAvalues

extends Enum<CDITEMMAAvalues>

Java class for CD-ITEM-MAAvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-MAAvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="agreementtype"/>
         <enumeration value="requesttype"/>
         <enumeration value="responsetype"/>
         <enumeration value="agreementstartdate"/>
         <enumeration value="agreementenddate"/>
         <enumeration value="consultationstartdate"/>
         <enumeration value="consultationenddate"/>
         <enumeration value="careproviderreference"/>
         <enumeration value="iorequestreference"/>
         <enumeration value="decisionreference"/>
         <enumeration value="refusaljustification"/>
         <enumeration value="chapter4reference"/>
         <enumeration value="chapter4annexreference"/>
         <enumeration value="unitnumber"/>
         <enumeration value="strength"/>
         <enumeration value="restunitnumber"/>
         <enumeration value="reststrength"/>
         <enumeration value="orphandrugdeliveryplace"/>
         <enumeration value="orphandrugdeliveryid"/>
         <enumeration value="coveragetype"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AGREEMENTENDDATE`
`AGREEMENTSTARTDATE`
`AGREEMENTTYPE`
`CAREPROVIDERREFERENCE`
`CHAPTER_4_ANNEXREFERENCE`
`CHAPTER_4_REFERENCE`
`CONSULTATIONENDDATE`
`CONSULTATIONSTARTDATE`
`COVERAGETYPE`
`DECISIONREFERENCE`
`IOREQUESTREFERENCE`
`ORPHANDRUGDELIVERYID`
`ORPHANDRUGDELIVERYPLACE`
`REFUSALJUSTIFICATION`
`REQUESTTYPE`
`RESPONSETYPE`
`RESTSTRENGTH`
`RESTUNITNUMBER`
`STRENGTH`
`UNITNUMBER`

Method Summary
`static CDITEMMAAvalues` | `fromValue(String v)`
`String` | `value()`
`static CDITEMMAAvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMMAAvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AGREEMENTTYPE

    public static final CDITEMMAAvalues AGREEMENTTYPE

### REQUESTTYPE

    public static final CDITEMMAAvalues REQUESTTYPE

### RESPONSETYPE

    public static final CDITEMMAAvalues RESPONSETYPE

### AGREEMENTSTARTDATE

    public static final CDITEMMAAvalues AGREEMENTSTARTDATE

### AGREEMENTENDDATE

    public static final CDITEMMAAvalues AGREEMENTENDDATE

### CONSULTATIONSTARTDATE

    public static final CDITEMMAAvalues CONSULTATIONSTARTDATE

### CONSULTATIONENDDATE

    public static final CDITEMMAAvalues CONSULTATIONENDDATE

### CAREPROVIDERREFERENCE

    public static final CDITEMMAAvalues CAREPROVIDERREFERENCE

### IOREQUESTREFERENCE

    public static final CDITEMMAAvalues IOREQUESTREFERENCE

### DECISIONREFERENCE

    public static final CDITEMMAAvalues DECISIONREFERENCE

### REFUSALJUSTIFICATION

    public static final CDITEMMAAvalues REFUSALJUSTIFICATION

### CHAPTER_4_REFERENCE

    public static final CDITEMMAAvalues CHAPTER_4_REFERENCE

### CHAPTER_4_ANNEXREFERENCE

    public static final CDITEMMAAvalues CHAPTER_4_ANNEXREFERENCE

### UNITNUMBER

    public static final CDITEMMAAvalues UNITNUMBER

### STRENGTH

    public static final CDITEMMAAvalues STRENGTH

### RESTUNITNUMBER

    public static final CDITEMMAAvalues RESTUNITNUMBER

### RESTSTRENGTH

    public static final CDITEMMAAvalues RESTSTRENGTH

### ORPHANDRUGDELIVERYPLACE

    public static final CDITEMMAAvalues ORPHANDRUGDELIVERYPLACE

### ORPHANDRUGDELIVERYID

    public static final CDITEMMAAvalues ORPHANDRUGDELIVERYID

### COVERAGETYPE

    public static final CDITEMMAAvalues COVERAGETYPE

Method Detail

### values

    public static CDITEMMAAvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMMAAvalues c : CDITEMMAAvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMMAAvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMMAAvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.